org.encog.ml.ea.population

## Interface Population

- All Superinterfaces:
    MLMethod, Serializable
  All Known Implementing Classes:
    BasicPopulation, NEATPopulation, PrgPopulation

      public interface Population
      extends Serializable, MLMethod

  Defines a population of genomes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear all genomes from this population.
    `Species` | `createSpecies()` Create a species.
    `Species` | `determineBestSpecies()` Determine which species has the top genome.
    `List<Genome>` | `flatten()` Flatten the species into a single list of genomes.
    `Genome` | `getBestGenome()`
    `GenomeFactory` | `getGenomeFactory()`
    `int` | `getMaxIndividualSize()`
    `int` | `getPopulationSize()`
    `List<Species>` | `getSpecies()`
    `void` | `purgeInvalidGenomes()` Purge any invalid genomes.
    `void` | `setBestGenome(Genome bestGenome)` Set the best genome.
    `void` | `setGenomeFactory(GenomeFactory factory)` Set the gnome factory.
    `void` | `setPopulationSize(int populationSize)` Set the max population size.
    `int` | `size()`

- - ### Method Detail

    - #### clear

          void clear()

      Clear all genomes from this population.

    - #### createSpecies

          Species createSpecies()

      Create a species.
      Returns:
        The newly created species.

    - #### determineBestSpecies

          Species determineBestSpecies()

      Determine which species has the top genome.
      Returns:
        The species with the top genome.

    - #### flatten

          List<Genome> flatten()

      Flatten the species into a single list of genomes.
      Returns:
        The genomes that make up all species in the population.

    - #### getBestGenome

          Genome getBestGenome()

      Returns:
        The best genome in the population.

    - #### getGenomeFactory

          GenomeFactory getGenomeFactory()

      Returns:
        A factory used to create genomes.

    - #### getMaxIndividualSize

          int getMaxIndividualSize()

      Returns:
        The max size that an individual can become.

    - #### getPopulationSize

          int getPopulationSize()

      Returns:
        The max population size.

    - #### getSpecies

          List<Species> getSpecies()

      Returns:
        The species that make up the population.

    - #### setBestGenome

          void setBestGenome(Genome bestGenome)

      Set the best genome.
      Parameters:
        `bestGenome` - The best genome.

    - #### setGenomeFactory

          void setGenomeFactory(GenomeFactory factory)

      Set the gnome factory.
      Parameters:
        `factory` - The genome factory.

    - #### setPopulationSize

          void setPopulationSize(int populationSize)

      Set the max population size.
      Parameters:
        `populationSize` - The max population size.

    - #### size

          int size()

      Returns:
        The size of the population.

    - #### purgeInvalidGenomes

          void purgeInvalidGenomes()

      Purge any invalid genomes.

Copyright © 2014. All Rights Reserved.